#pragma once

#include "WaylandEglInterface.h"

#include <EGL/egl.h>

struct wl_egl_window;
struct wl_surface;

class WaylandEglWindowInterface
{
public:

    WaylandEglWindowInterface(WaylandEglInterface* eglInterface);

    void initialize(wl_surface* surface, int width, int height);

    void draw();

private:
    wl_egl_window* mEglWindow{nullptr};
    EGLSurface mEglSurface;
    WaylandEglInterface* mEglInterface;
};
